{{ define "main" }}
{{ $titleWrap := .Params.titleWrap }}

<header class="header">
  <h3 class="h3 terms__title">
    {{ .Title }}
  </h3>
  <div>
    {{ .Content }}
  </div>
</header>
</span>
<main class="main archive">
  <div class="archive__container">
    {{ $pages := (where .Site.RegularPages "Section" "talks") }}
    {{ $paginator := .Paginate ($pages.GroupByPublishDate (.Site.Params.talksGroupByDate | default "2006")) .Site.Params.talksPaginate }}

    {{ range ($paginator).PageGroups }}
    <span class="archive__key">{{ .Key }}</span>
    <ul class="archive__ul">
      {{ range .Pages }}
      <li class="archive__li">
        <span class="talk__date">
          {{ .PublishDate.Format (i18n "talks-dateformat") }}
        </span>
        <a href="{{ .Permalink }}" class="talk__title" data-title-wrap="{{ $titleWrap | default "wrap"}}">{{ .Title }}</a>
      </li>
      {{ end }}
    </ul>
    {{ end }}
  </div>
  <div class="grow"></div>
  {{ partial "pagination/pagination" . }}
  <div class="hide">
    {{ partial "search/site-search" . }}
  </div>
  {{ partial "script/archive-script" . }}
</main>
{{ end }}